Project

General

Profile

prewikka-httpd error (traceback)

Added by Luka S about 1 year ago

When i run prewikka-httpd, a i have error with python module:

# /opt/prewikka/bin/prewikka-httpd

And i have traceback:

Traceback (most recent call last):
File "/opt/prewikka/bin/prewikka-httpd", line 28, in <module>
from prewikka.web import wsgi
ImportError: No module named prewikka.web

I try install prewikka with pip:

# pip install prewikka

And i have error too:

Collecting prewikka
Could not find a version that satisfies the requirement prewikka (from versions: )
No matching distribution found for prewikka

I ask to help with the decision of this problem.


Replies (8)

RE: prewikka-httpd error (traceback) - Added by Thomas ANDREJAK about 1 year ago

Hello,

Can you try to use distribution packages ?

https://www.prelude-siem.org/projects/prelude/wiki/InstallingPackage

Note : Prewikka is not in pypi

RE: prewikka-httpd error (traceback) - Added by Luka S about 1 year ago

Hello, Thomas. I use distribuiton package: prewikka-4.1.5.tar.gz

My apache.conf

WSGISocketPrefix /var/run/wsgi

<VirtualHost *:80>
    DocumentRoot /var/www/html
    <Location />
        Require all granted
    </Location>
        WSGIApplicationGroup %{GLOBAL}
        WSGIScriptAlias / /usr/share/prewikka/prewikka.wsgi
        WSGIDaemonProcess prewikka user=prewikka group=prelude threads=1 processes=1 python-eggs=/tmp
        WSGIProcessGroup prewikka
</VirtualHost>

/usr/share/prewikka/prewikka.wsgi

from prewikka.web import wsgi
application = wsgi.application

RE: prewikka-httpd error (traceback) - Added by Song TRAN about 1 year ago

Hello,

Did you install mod_wsgi package ?

RE: prewikka-httpd error (traceback) - Added by Thomas ANDREJAK about 1 year ago

Can you try not using the sources (.tar.gz) but the RPM files ?

The procedure I tell you is in this way. For example, installing the RPM on a CentOS : https://www.prelude-siem.org/projects/prelude/wiki/InstallingPackageRHEL , first step is to install prelude-release-3.0.0-1.el6.noarch.rpm package

RE: prewikka-httpd error (traceback) - Added by Luka S about 1 year ago

Thomas, mod_uwgi installed:

libapache2-mod-wsgi is already installed at the requested version (4.5.11-1)

My OS - Debian 4.9.65.

RE: prewikka-httpd error (traceback) - Added by Thomas ANDREJAK about 1 year ago

Can you describes how you install your prewikka from sources ?
Did you follow this https://www.prelude-siem.org/projects/prelude/wiki/InstallingPreludePrewikka ?

RE: prewikka-httpd error (traceback) - Added by Luka S about 1 year ago

Yes, install with that instruction.

RE: prewikka-httpd error (traceback) - Added by Thomas ANDREJAK about 1 year ago

Your prewikka didn't seems to be installed in the default way (I think you did this on purpose) so did you set the PYTHONPATH environment variable as expected?

    (1-8/8)